Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Collect link IDs and plan details, then change plans for many SIMs via the REST API.
Get link IDs for devices
curl --request GET \ 'https://dashboard.hologram.io/api/1/devices?orgid={ORG_ID}' \ -u apikey:YOUR_HOLOGRAM_API_KEY
Get plan details
curl --request GET \ 'https://dashboard.hologram.io/api/1/plans?orgid={ORG_ID}' \ -u apikey:YOUR_HOLOGRAM_API_KEY
Change plans
curl --request POST \ 'https://dashboard.hologram.io/api/1/links/cellular/changeplan' \ -u apikey:YOUR_HOLOGRAM_API_KEY \ --header 'Content-Type: application/json' \ --data-raw '{ "linkids": [LINKID_1, LINKID_2], "plan": PLAN_ID, "tier": "{PLAN_ZONE}", "orgid": ORG_ID }'
Was this page helpful?